/* VARIABLES CSS */
:root {
  --header-height: 80px;

  /* ======== COLORS ========= */
  /* Change Favorite Color */
  --hue-color: 220;
  /* Purple 250 - Green 142 - Blue 230 - Pink 340 */

  /* HSL color mode */
  --first-color: hsl(var(--hue-color), 69%, 61%);
  --first-color-second: hsl(var(--hue-color), 61%, 61%);
  --first-color-alt: hsl(var(--hue-color), 57%, 53%);
  --first-color-lighter: hsl(var(--hue-color), 92%, 85%);
  --title-color: hsl(var(--hue-color), 8%, 15%);
  --text-color: hsl(var(--hue-color), 8%, 45%);
  --text-color-light: hsl(var(--hue-color), 8%, 65%);
  --input-color: hsl(var(--hue-color), 70%, 96%);
  --body-color: hsl(var(--hue-color), 60%, 99%);
  --container-color: #fff;
  --scroll-bar-color: hsl(var(--hue-color), 12%, 90%);
  --scroll-thumb-color: hsl(var(--hue-color), 12%, 80%);
  --error-bg: hsl(355, 70%, 91%);
  --error-color: hsl(354, 61%, 28%);

  /* ======== FONT and Typography ========= */
  --body-font: "Poppins", sans-serif;

  /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px, ...*/
  --big-font-size: 4rem;
  --h1-font-size: 3rem;
  --h2-font-size: 2.3rem;
  --h3-font-size: 1.5rem;
  --h4-font-size: 1.3rem;
  --normal-font-size: 1rem;
  --small-font-size: 0.875rem;
  --smaller-font-size: 0.815rem;

  /* ======== FONT WEIGHT ========= */
  --font-regular: 400;
  --font-medium: 500;
  --font-semi-bold: 600;
  --font-bold: 700;

  /* Transition */
  --transition-ease: 0.3s ease all;

  /* ======== MARGEM BOTTOM ========= */
  /* .25rem = 4px, .5rem = 8px, .75rem = 12px ... */
  --mb-0-25: 0.25rem;
  --mb-0-5: 0.5rem;
  --mb-0-75: 0.75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;
  --mb-3: 3rem;
  --mb-4: 4rem;
  --mb-6: 6rem;
  --mb-8: 8rem;

  /* ======== Z Index ========= */
  --z-tooltip: 10;
  --z-fixed: 100;
  --z-modal: 1000;
}

/* LIGHT THEME */
:root[data-theme="light"] {
  --first-color: hsl(var(--hue-color), 69%, 61%);
  --first-color-second: hsl(var(--hue-color), 61%, 61%);
  --first-color-alt: hsl(var(--hue-color), 57%, 53%);
  --first-color-lighter: hsl(var(--hue-color), 92%, 85%);
  --title-color: hsl(var(--hue-color), 8%, 15%);
  --text-color: hsl(var(--hue-color), 8%, 45%);
  --text-color-light: hsl(var(--hue-color), 8%, 65%);
  --input-color: hsl(var(--hue-color), 70%, 96%);
  --body-color: hsl(var(--hue-color), 60%, 99%);
  --container-color: #fff;
  --scroll-bar-color: hsl(var(--hue-color), 12%, 90%);
  --scroll-thumb-color: hsl(var(--hue-color), 12%, 80%);
  --error-bg: hsl(355, 70%, 91%);
  --error-color: hsl(354, 61%, 28%);
}

/* DARK THEME */
:root[data-theme="dark"] {
  --first-color: hsl(var(--hue-color), 61%, 61%);
  --first-color-second: hsl(var(--hue-color), 30%, 8%);
  --first-color-alt: hsl(var(--hue-color), 57%, 53%);
  --first-color-lighter: hsl(var(--hue-color), 92%, 85%);
  --title-color: hsl(var(--hue-color), 8%, 95%);
  --text-color: hsl(var(--hue-color), 8%, 75%);
  --text-color-light: hsl(var(--hue-color), 8%, 65%);
  --input-color: hsl(var(--hue-color), 29%, 16%);
  --body-color: hsl(var(--hue-color), 28%, 12%);
  --container-color: hsl(var(--hue-color), 29%, 16%);
  --scroll-bar-color: hsl(var(--hue-color), 12%, 48%);
  --scroll-thumb-color: hsl(var(--hue-color), 12%, 36%);
  --error-bg: hsl(354, 61%, 28%);
  --error-color: hsl(355, 70%, 91%);
}

/* GENERAL */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: var(--body-font);
}

html,
body {
  overflow-x: hidden;
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: var(--body-color);
  color: var(--text-color);
  font-size: var(--normal-font-size);
}

h1,
h2,
h3,
h4 {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

.section {
  padding-top: 6rem;
}

.section__title {
  font-size: var(--h1-font-size);
  text-align: center;
  margin: 0 var(--mb-3);
  margin-top: var(--mb-3);
}

.section__subtitle {
  font-size: var(--small-font-size);
  color: var(--text-color);
  font-weight: var(--font-regular);
  text-align: center;
  margin-bottom: var(--mb-8);
}

/* LAYOUT */
.container-larger {
  max-width: 1540px;
  margin: 0 auto;
  padding-left: 2rem !important;
  padding-right: 2rem !important;
}

.container {
  max-width: 1280px;
  margin: 0 auto;
}

.header {
  width: 100vw;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: var(--body-color);
}

/* BUTTONS */
.btn {
  border: none;
  outline: none;
  background-color: var(--first-color);
  padding: 1rem 0.8rem;
  border-radius: 10px;
  font-size: 1rem;
  font-weight: var(--font-regular);
  width: fit-content;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.5rem;
  transition: var(--transition-ease);
  cursor: pointer;
}

.btn:hover {
  background-color: var(--first-color-alt);
}

.btn:active {
  background-color: var(--first-color);
}

.btn--alt {
  background-color: white;
  color: var(--first-color);
}

.btn--alt:hover {
  background-color: white;
}

.btn--alt:active {
  background-color: white;
}

/* ============= SCROLL BAR ================  */
::-webkit-scrollbar {
  width: 0.6rem;
  background-color: var(--scroll-bar-color);
  border-radius: 0.5rem;
}

::-webkit-scrollbar-thumb {
  background-color: var(--scroll-thumb-color);
  border-radius: 0.5rem;
}

::-webkit-scrollbar-thumb:hover {
  background-color: var(--text-color-light);
}

/* SCROLL UP BTN */
.scroll-up {
  position: fixed;
  background-color: var(--first-color);
  color: white;
  z-index: var(--z-tooltip);
  border-radius: 10px;
  right: 1rem;
  font-size: 1.7rem;
  padding: 0 0.45rem;
  bottom: -20%;
  transition: var(--transition-ease);
}

.scroll-up:hover {
  background-color: var(--first-color-alt);
}

.show-scroll-up {
  bottom: 5rem;
}

/* FADE IN */

/* Inicialmente ocultamos o elemento */
.fade-in {
  opacity: 0;
  transform: translateX(-100px);
  /* Move o elemento para baixo */
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.fade-in-alt {
  opacity: 0;
  transform: translateX(100px);
  /* Move o elemento para baixo */
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.fade-in-fast {
  opacity: 0;
  transform: translateX(-100px);
  /* Move o elemento para baixo */
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

/* Quando o elemento estiver visível */
.fade-in.visible {
  opacity: 1;
  transform: translateX(0);
  /* Volta à posição original */
}

/* Quando o elemento estiver visível */
.fade-in-alt.visible {
  opacity: 1;
  transform: translateX(0);
  /* Volta à posição original */
}

.fade-in-fast.visible {
  opacity: 1;
  transform: translateX(0);
  /* Volta à posição original */
}

/* NAV */

/* SHOW NAV BORDER WHEN SCROLL */
.scroll-header {
  box-shadow: 0 -1px 4px rgba(0, 0, 0, 0.15);
}

.header-nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: var(--header-height);
}

.header-nav__logo {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
  font-size: var(--h2-font-size);
}

.nav-menu-alt {
  display: none;
}

.nav-menu {
  display: flex;
  justify-content: right;
  width: 50%;
  gap: 1.2rem;
}

.nav-list {
  display: flex;
  align-items: center;
  gap: 2rem;
}

.nav-item__link {
  color: var(--title-color);
  font-weight: var(--font-medium);
}

.nav-item__link:hover {
  color: var(--first-color);
}

.nav-btns {
  display: flex;
  gap: 1.5rem;
  align-items: center;
}

.active-link {
  color: var(--first-color) !important;
}

.moon-btn {
  font-size: 1.3rem;
  cursor: pointer;
}

.nav-btns__btns {
  display: flex;
  gap: 1rem;
}

.change-language__box {
  position: relative;
}

.change-language {
  font-size: var(--small-font-size);
  color: var(--text-color);
  display: flex;
  align-items: center;
  cursor: pointer;
}

.change-language__popup {
  opacity: 1;
  cursor: pointer;
  left: 0px;
  position: absolute;
  opacity: 0;
  transition: 0.5s ease opacity;
}

.change-language__popup:hover {
  color: var(--first-color);
}

.popup-visible {
  opacity: 1;
}

.popup-hidden {
  display: none;
}

.popup-activation__arrow {
  font-size: 1.2rem;
  transform: rotate(0);
  transition: var(--transition-ease);
}

.popup-activation__arrow--activate {
  transform: rotate(-180deg);
}

.menu-btn {
  display: none;
}

/* HOME */

.home-container {
  padding: 6rem 0rem;
  display: flex;
  gap: 5rem;
}

.home__picture {
  width: 45%;
}

.home-blob {
  fill: var(--first-color);

  /*
    Effect 1:
    */
  /*
    filter: drop-shadow(0 0px 5px var(--first-color)) drop-shadow(0 0px 10px var(--first-color)); 
    */
  /*
    Effect 2:
    */
  /*
    filter: drop-shadow(0 0px 3px var(--first-color)) drop-shadow(0 0px 5px var(--first-color)) drop-shadow(0 0px 10px var(--first-color));
    */
  /*
    animation: pulse 2s infinite alternate; 
     */
}

@keyframes pulse {
  from {
    /*
        Effect 1:
        */
    /*
        filter: drop-shadow(0 0px 5px var(--first-color)) drop-shadow(0 0px 10px var(--first-color)); 
        */
    /* Effect 2:
        */
    /*
        filter: drop-shadow(0 0px 3px var(--first-color)) drop-shadow(0 0px 5px var(--first-color)) drop-shadow(0 0px 10px var(--first-color));
        */
  }

  to {
    /*
        Effect 1:
        */
    /*
        filter: drop-shadow(0 0px 5px var(--first-color)) drop-shadow(0 0px 15px var(--first-color)); */
    /*       
        Effect 2:
        */
    /*
        filter: drop-shadow(0 0px 5px var(--first-color)) drop-shadow(0 0px 10px var(--first-color)) drop-shadow(0 0px 15px var(--first-color));
        */
  }
}

.blob-img {
  width: 100%;
}

.home__text {
  width: 55%;
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.hero__title {
  font-size: var(--big-font-size);
}

.hero__subtitle {
  font-size: var(--h2-font-size);
  margin-bottom: 0.5rem;
}

.hero__subtitle span {
  position: relative;
}

.text-change__space {
  padding-left: 8px;
}

.hero__subtitle span::after {
  content: "";
  background-color: var(--body-color);
  position: absolute;
  width: calc(100% + 8px);
  height: 100%;
  border-left: 3px solid var(--body-color);
  right: -8;
  animation: cursor 0.6s infinite;
}

@keyframes cursor {
  to {
    border-left: 3px solid var(--first-color);
  }
}

.hero__paragraph {
  font-weight: var(--font-medium);
}

.home__btns {
  display: flex;
  gap: 1rem;
}

.home-btn {
  border-radius: 100%;
  padding: 1.2rem;
  border: 3px solid var(--first-color);
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: var(--transition-ease);
  cursor: pointer;
  margin: 1.5rem 0;
}

.home-btn:hover {
  background-color: var(--first-color);
  transform: scale(1.3) translateY(-5px);
  box-shadow: 0 0 25px var(--first-color);
}

.home-btn:hover .home-btn__icon {
  color: var(--container-color);
}

.home-btn__icon {
  font-size: 1.5rem;
  color: var(--first-color);
}

.text-color {
  color: var(--first-color);
}

.home__scroll-down {
  margin-top: 4rem;
  display: flex;
  align-items: center;
  gap: 0.2rem;
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
  transition: 0.5s;
}

.home__scroll-down:hover {
  transform: translateY(0.25rem);
}

.home-scroll-down__icon {
  color: var(--first-color);
  font-size: 1.8rem;
}

/* ABOUT */

.about {
  margin-bottom: var(--mb-3);
}

.about__content {
  display: flex;
  align-items: center;
  gap: 3rem;
}

.about__image {
  width: 50%;
}

.about__image img {
  border-radius: 10px;
}

.about__right-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 50%;
}

.about__right-content p {
  text-align: center;
}

.about__stats {
  margin-top: 2rem;
  margin-bottom: 2rem;
  gap: 3rem;
  display: flex;
  text-align: center;
  font-size: var(--small-font-size);
}

.about-stat__number {
  font-weight: var(--font-semi-bold);
  font-size: var(--h3-font-size);
  color: var(--title-color);
}

.about__button {
  position: relative;
}

.about__button .btn span {
  color: white;
}

/* .about-button__opts {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--first-color);
    left: 0;
    border-radius: 5px;
    width: 100%;
    opacity: 0;
    visibility: hidden;
    transition: .3s;
    top: -0px;
}

.dropdown-visible {
    opacity: 1;
    visibility: visible;
    top: calc(100% + 5px);
}

.dropdown-hidden {
    display: none;
}

.about-button__opt {
    width: 100%;
    text-align: center;
    color: white;
    font-weight: var(--font-regular);
    font-size: var(--normal-font-size);
    padding: 1rem .8rem;
    transition: .3s;
}

.about-button__opt:hover {
    background-color: var(--first-color-alt);
}

.about-button__opt:first-child {
    border-radius: 5px 5px 0 0;
}

.about-button__opt:last-child {
    border-radius: 0 0 5px 5px;
}

.about-button__opts hr {
    width: 95%;
    height: 1px;
    border: none;
    background-color: var(--first-color-alt);
    opacity: .5;
} */

/* SKILLS */

.skills {
  margin-bottom: var(--mb-3);
}

.skills__title {
  font-size: var(--h4-font-size);
  display: flex;
  gap: 1rem;
  align-items: center;
  justify-content: center;
  margin-bottom: var(--mb-8);
}

.skills-title__icon {
  font-size: 1.7rem;
  color: var(--first-color);
}

.skills__items {
  display: flex;
  justify-content: space-evenly;
  margin-bottom: var(--mb-8);
}

.skills__items--alt {
  flex-wrap: wrap;
  gap: 3rem 0;
}

.skills-item--alt {
  display: flex;
  justify-content: space-evenly;
  width: 100%;
}

.skills-item--alt2 {
  display: none !important;
}

.skills__item {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  align-items: center;
  justify-content: center;
}

.skills-items__title {
  font-size: var(--h3-font-size);
  align-items: center;
  display: flex;
  gap: 0.5rem;
}

.skills-items__title img {
  height: 40px;
  width: auto;
}

.skills-items__subtitle {
  color: var(--text-color);
  font-weight: var(--font-semi-bold);
  font-size: var(--h4-font-size);
}

/* .skills__designer {
    margin-bottom: var(--mb-6);
} */

/* QUALIFICATIONS */
.qualification {
  margin-bottom: var(--mb-3);
}

.qualification__items {
  display: flex;
  gap: 4rem;
}

.qualification__item {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  width: 50%;
}

.qualification__title {
  padding-left: 1rem;
  font-size: var(--h4-font-size);
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.qualification-title__icon {
  color: var(--first-color);
  font-size: 2rem;
}

.qualification-item__box {
  display: flex;
  flex-direction: column;
}

.qualificication-box__content {
  display: flex;
  gap: 1.5rem;
}

.qualiication-content__line {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.qualiication-line__circle {
  width: 14px;
  height: 14px;
  background-color: var(--first-color);
  border-radius: 100%;
}

.qualiication-line__line {
  height: 100%;
  width: 2px;
  background-color: var(--first-color);
}

.qualification-content__text {
  margin-top: 0.6rem;
  margin-bottom: 0.4rem;
  display: flex;
  flex-direction: column;
  gap: 0.3rem;
}

.qualification-text__date {
  display: flex;
  gap: 0.3rem;
  align-items: center;
  color: var(--text-color-light);
  font-size: var(--small-font-size);
}

.qualification-date__calender {
  font-size: 1rem;
}

.qualication-text__title {
  font-size: var(--normal-font-size);
  font-weight: var(--font-semi-bold);
}

.qualification-content__text p {
  font-size: var(--small-font-size);
  font-weight: var(--font-regular);
}

/* SERVICES */

.services {
  margin-bottom: var(--mb-3);
}

.services__items {
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.services__item {
  display: flex;
  align-items: center;
  flex-direction: column;
  width: 520px;
  padding: 2rem 3rem 2.5rem;
  background-color: var(--container-color);
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15);
  border-radius: 5px;
}

.services__item:hover {
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.15);
}

.services-icon {
  color: var(--first-color);
  font-size: 4rem;
}

.services-item__title {
  font-size: var(--h3-font-size);
  margin-bottom: 2rem;
  margin-top: 0.5rem;
}

.services__item p {
  text-align: center;
}

.services__item span {
  margin-top: 4rem;
  color: var(--first-color);
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
  display: flex;
  align-items: center;
  gap: 0.3rem;
  cursor: pointer;
}

.services__item span:hover {
  color: var(--first-color-alt);
}

.button-icon {
  font-size: 1.3rem;
  transition: 0.3s;
}

.services__item span:hover .button-icon {
  transform: translateX(0.25rem);
}

/* MODAL */
.services__modal {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: var(--z-modal);
  transition: 0.3s;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  visibility: hidden;
}

.active-modal {
  opacity: 1;
  visibility: visible;
}

.modal-hidden {
  display: none !important;
}

.services-modal__window {
  border-radius: 10px;
  background-color: var(--container-color);
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 1rem 2rem 2rem;
  max-width: 600px;
}

.modal-window__close {
  align-items: flex-start;
  cursor: pointer;
  font-size: 1.8rem;
  color: var(--first-color);
}

.modal__title {
  display: flex;
  justify-content: space-between;
}

.modal__title h3 {
  font-size: var(--h3-font-size);
  padding-top: 1rem;
}

.modal__text {
  margin: 0rem 0 1rem;
  font-size: var(--normal-font-size);
  font-weight: var(--font-regular);
}

.modal__details {
  display: flex;
  flex-direction: column;
  gap: 0.6rem;
}

.modal__detail {
  display: flex;
  gap: 0.3rem;
  font-size: var(--normal-font-size);
  align-items: center;
}

.services-modal-icon {
  color: var(--first-color);
  font-size: 1.3rem;
}

.services-modal-icon:hover {
  color: var(--first-color-alt);
}

/* PORTFOLIO */
.portfolio__items {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 4rem;
  /* DISPLAY FLEX */
  /*   display: flex; 
    justify-content: space-between;
    flex-wrap: wrap; 
    gap: 3rem 0;*/
}

.portfolio__item {
  /*    width: 30%; */
  height: auto;
  position: relative;
  transition: 0.3s;
  border-radius: 10px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15);
}

.portfolio__item img {
  width: 100%;
  height: 100%;
  border-radius: 10px;
}

.portfolio__item:hover {
  transform: scale(1.025);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.25);
}

.portfolio__item:hover .portfolio-item__hidden-content {
  opacity: 1;
}

.portfolio__button {
  display: flex;
  justify-content: center;
  margin-top: 3rem;
}

.portfolio-item__hidden-content {
  border-radius: 10px;
  background-color: rgba(0, 0, 0, 0.8);
  position: absolute;
  padding: 1rem 2rem 2rem 2rem;
  top: 0;
  left: 0;
  opacity: 0;
  transition: 0.5s;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.portfolio-item__hidden-content h2 {
  font-size: var(--h2-font-size);
  font-weight: var(--font-semi-bold);
  color: white;
  text-align: center;
}

.portfolio-item__hidden-content p {
  font-size: var(--normal-font-size);
  font-weight: var(--font-regular);
  text-align: center;
  color: white;
  margin: 0.5rem 0 1.4rem 0;
}

/* .portfolio-item-hidden-content__btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    background-color: white;
    border-radius: 100%;
    font-size: 1.4rem;
    color: var(--first-color);
    transition: .3s;
    cursor: pointer;
}

.portfolio-item-hidden-content__btn:hover {
    transform: scale(1.05);
    box-shadow: 0 0 5px white;
}
 */

.portfolio-item-hidden-content__tags {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  flex-wrap: wrap;
}

.portfolio-item-hidden-content__tags span {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: var(--smaller-font-size);
  font-weight: var(--font-medium);
  color: white;
  border-radius: 5px;
  padding: 0.3rem 0.5rem;
  background-color: var(--first-color-alt);
  margin-bottom: 1.5rem;
}

.viewmore__btn {
  color: var(--first-color);
  display: flex;
  align-items: center;
}

.portfolio-item__viewmore {
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.2rem;
  transition: 0.3s all ease;
}

/* .portfolio-item__viewmore:hover {
    text-decoration: underline 1px solid white;
}
 */
.portfolio-item__viewmore:hover .portfolio-item-viewmore__btn {
  transform: translateX(5px);
}

.portfolio-item-viewmore__btn {
  font-size: 1.3rem;
  transition: 0.3s;
}

/* CONTACT ME SKIP */

.contact-me-skip {
  margin: var(--mb-8) 0 var(--mb-4) 0;
}

.contact-me-skip-container {
  display: flex;
  justify-content: space-between;
  background-color: var(--first-color);
  border-radius: 15px;
  padding: 2rem 2.5rem;
  width: 760px;
  height: 250px;
}

.contact-me-skip__text {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: white;
  gap: 1.5rem;
}

.contact-me-skip__btn {
  font-weight: var(--font-medium);
}

/* CONTACT ME */
.contact-me {
  margin-bottom: var(--mb-6);
}

.contact-me__box {
  display: flex;
  justify-content: center;
  gap: 8rem;
}

.contact-me__contacts {
  display: flex;
  flex-direction: column;
  height: 100%;
  gap: 2rem;
}

.contact-me__contact {
  display: flex;
  align-items: center;
  gap: 0.8rem;
}

.contact-me__icon {
  font-size: 2rem;
  color: var(--first-color);
}

.contact-me-contact__text {
  display: flex;
  flex-direction: column;
  gap: 0.3rem;
}

.contact-me-contact__text h4 {
  font-size: var(--h4-font-size);
  font-weight: var(--font-medium);
}

.contact-me-contact__text span {
  font-size: var(--small-font-size);
  font-weight: var(--font-regular);
  color: var(--text-color);
}

.contact-me__form {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.contact-me__form-1 {
  display: flex;
  gap: 2rem;
}

.contact-me-form__item {
  width: 100%;
  min-width: 300px;
  padding: 0.8rem 1.2rem 0.3rem 1.2rem;
  background-color: var(--input-color);
  border-radius: 10px;
}

.contact-me-form__item:hover {
  cursor: text;
}

.contact-me-form__item span {
  font-weight: var(--font-regular);
  color: var(--title-color);
  font-size: var(--small-font-size);
}

.input {
  width: 100%;
  background-color: var(--input-color);
  outline: none;
  border: none;
  display: flex;
  flex-direction: column;
  padding: 0.4rem 0 0.8rem 0;
  font-size: var(--normal-font-size);
  color: var(--text-color);
}

.input__textarea {
  min-height: 200px;
}

.contact-me-form__loading {
  width: 16px;
  height: 16px;
  display: none;
  transition: 0.3s;
  opacity: 0;
  visibility: hidden;
}

.contact-me-form__btn-icon {
  opacity: 1;
  visibility: visible;
  transition: 0.3s;
}

.contact-me-form__btn.load .contact-me-form__loading {
  opacity: 1;
  visibility: visible;
}

.contact-me-form__btn.load .contact-me-form__btn-icon {
  opacity: 0;
  visibility: hidden;
}

.contact-me-form__btn.loading .contact-me-form__loading {
  display: flex;
}

.contact-me-form__btn.loading .contact-me-form__btn-icon {
  display: none;
}

.contact-me__form-msg {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  visibility: hidden;
  opacity: 0;
  border-radius: 5px;
  padding: 0.8rem 1rem;
  height: 100%;
  width: 100%;
  font-size: var(--small-font-size);
  font-weight: var(--font-medium);
  transition: 0.5s;
}

.contact-me-msgdiv__icon {
  font-size: 1.2rem;
}

.contact-me__form-msg.success {
  background-color: var(--first-color);
  color: white;
  visibility: visible;
  opacity: 1;
}

.contact-me__form-msg.error {
  background-color: var(--error-bg);
  color: var(--error-color);
  visibility: visible;
  opacity: 1;
}

.form__success-icon {
  display: none;
}

.contact-me__form-msg.success .form__success-icon {
  display: flex;
}

.form__error-icon {
  display: none;
}

.contact-me__form-msg.error .form__error-icon {
  display: flex;
}

/* FOOTER */
footer {
  background-color: var(--first-color-second);
}

.footer-container {
  padding: 4rem 0 4rem 0;
  display: flex;
  flex-direction: column;
  gap: 8rem;
}

.footer__box {
  display: flex;
  justify-content: space-between;
  color: white;
}

.footer__left {
  display: flex;
  flex-direction: column;
  gap: 0.3rem;
}

.footer__left h2 {
  font-size: var(--h2-font-size);
  color: white;
}

.footer__left span {
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
  color: white;
}

.footer__middle {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
}

.footer-middle__item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
}

.footer-middle__item a {
  text-align: center;
  width: 100px;
  transition: 0.3s underline;
  color: white;
  font-weight: var(--font-medium);
  font-size: var(--normal-font-size);
}

.footer-middle__item a:hover {
  text-decoration: underline 1px solid white;
}

.footer__copy {
  color: var(--first-color-lighter);
  font-size: var(--smaller-font-size);
  text-align: center;
}

.footer__right {
  display: flex;
  justify-content: center;
  gap: 1.5rem;
  color: white;
}

.footer-right__icon {
  font-size: 1.4rem;
  color: white;
}

.footer-right__icon:hover {
  color: var(--first-color-lighter);
}

.footer__link {
  color: var(--first-color-lighter);
  transition: 0.3s;
}

.footer__link:hover {
  text-decoration: underline 1px solid var(--first-color-lighter);
}

/* MEDIA QUERIES */
/* MEDIUM MONITORS */
@media (max-width: 1440px) {
  .container-larger {
    max-width: 1200px;
  }

  .container {
    padding-left: 2rem !important;
    padding-right: 2rem !important;
    max-width: 1200px;
  }

  .nav-menu {
    width: initial;
  }

  .home__picture {
    width: 50%;
  }

  .home__text {
    width: 50%;
  }

  .services__items {
    justify-content: space-between;
    align-items: stretch;
  }

  .services__item {
    width: 46%;
  }

  .services__item p {
    height: 100%;
  }

  .contact-me__box {
    padding: 0 2rem;
  }
}

/* MEDIUM DEVICES */
@media (max-width: 1024px) {
  /* VARIABLES */
  :root {
    --mb-8: 6rem;
  }

  /* CONTAINERS */
  .container {
    max-width: 960px;
  }

  .container-larger {
    max-width: 960px;
  }

  /* ALT NAV MENU */
  .nav-list {
    display: none;
  }

  .menu-btn {
    display: flex;
    font-size: 1.3rem;
  }

  .nav-menu-alt {
    display: flex;
    position: fixed;
    top: -100%;
    left: 0;
    border-radius: 0 0 1.5rem 1.5rem;
    transition: 0.3s;
    padding: 4rem 1.5rem 2rem;
    width: 100%;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.15);
    background-color: var(--body-color);
    align-items: center;
    z-index: var(--z-fixed);
  }

  .show-menu {
    top: 0%;
  }

  .nav-menu-alt-list {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    width: 100%;
    gap: 2rem;
    justify-items: center;
  }

  .nav-menu__close {
    position: absolute;
    right: 0.8rem;
    top: 0.5rem;
    color: var(--first-color);
    font-size: 1.6rem;
    cursor: pointer;
    transition: 0.3s;
  }

  .nav-menu__close:hover {
    color: var(--first-color-alt);
  }

  .nav-list-alt__item {
    width: 100%;
  }

  .nav-alt-item__link {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .nav-icon {
    font-size: 1.2rem;
  }

  /* RESPONSIVE STYLE */
  .home-container {
    flex-direction: column;
    align-items: center;
    gap: 2rem;
    padding-top: 3rem;
  }

  .home__picture {
    width: 60%;
    max-width: 500px;
  }

  .home__text {
    width: 90%;
  }

  .skills__items {
    flex-wrap: wrap;
    gap: 3rem 0;
  }

  .skills-item--alt {
    display: none !important;
  }

  .skills-item--alt2 {
    display: flex !important;
  }

  .skills__item {
    min-width: 250px;
  }

  .qualification__items {
    flex-direction: column;
    align-items: center;
    gap: 6rem;
  }

  .qualification__item {
    width: 100%;
  }

  .qualification__title {
    display: flex;
    justify-content: center;
  }

  .services__items {
    flex-direction: column;
    gap: 6rem;
    align-items: center;
  }

  .services__item {
    max-width: 550px;
    width: 100%;
  }
  /* DISPLAY FLEX */
  /*    .portfolio__item {
        width: 45%;
    } */

  .contact-me-skip {
    display: flex;
    justify-content: center;
    width: 100%;
  }

  .contact-me-skip-container {
    max-width: 760px;
    width: 100%;
    margin: 0 2rem;
  }

  .contact-me__box {
    flex-direction: column;
    gap: 5rem;
  }

  /* DISPLAY GRID */
  .portfolio__items {
    grid-template-columns: repeat(2, 1fr);
    gap: 3rem 4rem;
  }
}

/* SMALL DEVICES */
@media (max-width: 767px) {
  /* VARIABLES */
  :root {
    --big-font-size: 3rem;
    --h1-font-size: 2.5rem;
    --h2-font-size: 2rem;
  }

  /* CONTAINERS */
  .container {
    max-width: 100%;
    padding-left: 16px !important;
    padding-right: 16px !important;
  }

  .container-larger {
    padding-left: 16px !important;
    padding-right: 16px !important;
    max-width: 100%;
  }

  .nav-btns {
    gap: 1rem;
  }

  .home__picture {
    width: 90%;
    max-width: 400px;
  }

  .home {
    padding-top: 3.5rem;
  }

  .home__text {
    width: 100%;
  }

  .hero__subtitle span::after {
    height: 48px;
  }

  .nav-alt-item__link {
    font-size: var(--small-font-size);
  }

  .section__title {
    margin-left: 0;
    margin-right: 0;
  }

  .about__content {
    flex-direction: column;
    max-width: 450px;
    margin: 0 auto;
  }

  .about__image {
    width: 100%;
  }

  .about__right-content {
    width: 100%;
  }

  /*     .services__item p {
        display: none;
    } */

  .services-modal__window {
    padding: 1rem 1.5rem 2rem 1.5rem;
    margin: 0 10px;
  }

  .modal__title {
    align-items: flex-end;
  }

  .modal__title h3 {
    width: 150px;
  }

  .modal-window__close {
    align-self: flex-start;
  }

  .portfolio__item {
    width: 100%;
  }

  .contact-me-skip-container {
    display: flex;
    flex-direction: column;
    max-width: initial;
    padding: 2rem !important;
    margin: 0;
    width: 100%;
    gap: 5rem;
    height: 100%;
    align-items: center;
    border-radius: 0;
  }

  .contact-me-skip-container img {
    width: 90%;
  }

  .contact-me__box {
    padding-left: 16px;
    padding-right: 16px;
  }

  .contact-me-form__item {
    min-width: initial;
    width: 100%;
  }

  .contact-me__form-1 {
    flex-direction: column;
  }

  .footer-container {
    padding: 2.5rem 0 2.5rem 0;
    gap: 5rem;
  }

  .footer__left {
    text-align: center;
  }

  .footer__box {
    flex-direction: column;
    gap: 5rem;
  }

  .footer__middle {
    flex-direction: column;
  }

  /* DISPLAY GRID */
  .portfolio__items {
    grid-template-columns: 1fr;
    gap: 2rem 0;
  }
}
